import unittest, sys
import io
import unittest.mock

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'factorial')

class MainTest(unittest.TestCase):

    def test_answer_one(self):
        output = main(6)
        # output = get_out()

        self.assertEqual(output, 720)

    def test_answer_two(self):
        output = main(1)
        # output = get_out()

        self.assertEqual(output, 1)

    def test_answer_three(self):
        output = main(0)
        # output = get_out()

        self.assertEqual(output, 1)

    def test_answer_four(self):
        output = main(10)
        # output = get_out()

        self.assertEqual(output, 3628800)

    def test_answer_five(self):
        output = main(11)
        # output = get_out()

        self.assertEqual(output, 39916800)

if __name__ == '__main__':
    unittest.main()
