import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner

class MainTest(unittest.TestCase):

    def test_answer_one(self):
        # capturedOutput = io.StringIO()                 
        # sys.stdout = capturedOutput                     
        output = factorial(6)
        # sys.stdout = sys.__stdout__ 

        # output = capturedOutput.getvalue().strip()

        self.assertEqual(output, 720)
    
    def test_answer_two(self):
        # capturedOutput = io.StringIO()                 
        # sys.stdout = capturedOutput                     
        output = factorial(1)
        # sys.stdout = sys.__stdout__ 

        # output = capturedOutput.getvalue().strip()

        self.assertEqual(output, 1)

    def test_answer_three(self):
        # capturedOutput = io.StringIO()                 
        # sys.stdout = capturedOutput                     
        output = factorial(0)
        # sys.stdout = sys.__stdout__ 

        # output = capturedOutput.getvalue().strip()

        self.assertEqual(output, 1)

    def test_answer_four(self):
        # capturedOutput = io.StringIO()                 
        # sys.stdout = capturedOutput                     
        output = factorial(10)
        # sys.stdout = sys.__stdout__ 

        # output = capturedOutput.getvalue().strip()

        self.assertEqual(output, 3628800)

    def test_answer_five(self):
        # capturedOutput = io.StringIO()                 
        # sys.stdout = capturedOutput                     
        output = factorial(11)
        # sys.stdout = sys.__stdout__ 

        # output = capturedOutput.getvalue().strip()

        self.assertEqual(output, 39916800)


test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())